curl --request GET \
--url https://api.hubapi.com/files/v3/files/import-from-url/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"access": "HIDDEN_INDEXABLE",
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"sourceGroup": "CONTENT",
"type": "<string>",
"url": "<string>",
"width": 123
}
}リクエストされたインポートのステータスを確認してください。
curl --request GET \
--url https://api.hubapi.com/files/v3/files/import-from-url/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"access": "HIDDEN_INDEXABLE",
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"sourceGroup": "CONTENT",
"type": "<string>",
"url": "<string>",
"width": 123
}
}サポートされる製品
必須スコープ
filesfiles.ui_hidden.readThe access token received from the authorization server in the OAuth 2.0 flow.
インポート元URLタスクID
successful operation
依頼された変更が完了した日時。
タスクが開始された日時を表すタイムスタンプ。
タスクの現在のステータス。
CANCELED, COMPLETE, PENDING, PROCESSING タスクのID。
説明的なエラーメッセージ。
Show child attributes
依頼されたタスクのステータスを確認するためのリンク。
Show child attributes
依頼された変更に原因があるエラーの数。
タスクが依頼された日時を表すタイムスタンプ。
File
Show child attributes